<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/rl_daily_login_root"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:ignore="MissingConstraints">

    <com.guadou.lib_baselib.view.titlebar.EasyTitleBar
        android:id="@+id/easy_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        app:Easy_menuImgSize="@dimen/d_30dp"
        app:Easy_title="积分兑换" />

    <ImageView
        android:id="@+id/iv_daily_line"
        android:layout_width="match_parent"
        android:layout_height="@dimen/d_0.1dp"
        android:layout_below="@id/easy_title"
        android:background="@color/main_divide" />

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/refresh_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/iv_daily_line">

        <com.scwang.smart.refresh.header.ClassicsHeader
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"

            android:background="@color/white"
            android:overScrollMode="never"
            android:scrollbars="none">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical"
                android:paddingBottom="@dimen/d_20dp">

                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/d_20dp"
                    android:text="可用积分"
                    android:textColor="@color/home_item_title_color"
                    android:textSize="@dimen/d_18sp" />

                <TextView
                    android:id="@+id/tv_daily_login_points"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginBottom="@dimen/d_20dp"
                    android:text="-"
                    android:textColor="@color/profile_red"
                    android:textSize="@dimen/d_28sp" />

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_10dp"
                    android:src="#BFE0FE" />

                <!--填充布局-->
                <ViewStub
                    android:id="@+id/viewstub_sign"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout="@layout/layout_inflate_sign_group" />

                <View
                    android:id="@+id/view_placeholder"
                    android:layout_width="match_parent"
                    android:layout_height="110dp"
                    android:background="@color/app_blue">

                </View>

                <!--<include layout="@layout/layout_inflate_sign_group"/>-->


                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_10dp"
                    android:src="#BFE0FE" />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="@dimen/d_15dp"
                    android:paddingTop="@dimen/d_15dp"
                    android:paddingRight="@dimen/d_15dp"
                    android:paddingBottom="@dimen/d_15dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:text="如何获取积分?"
                        android:textColor="@color/black"
                        android:textSize="@dimen/d_15sp" />

                    <LinearLayout
                        android:id="@+id/tv_goto_rewards"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:background="@drawable/shape_15round_main_blue"
                        android:gravity="center"
                        android:orientation="horizontal"
                        android:paddingLeft="@dimen/d_15dp"
                        android:paddingTop="@dimen/d_5dp"
                        android:paddingRight="@dimen/d_15dp"
                        android:paddingBottom="@dimen/d_6dp">

                        <ImageView
                            android:layout_width="@dimen/d_16dp"
                            android:layout_height="@dimen/d_10dp"
                            android:src="@drawable/rewards_icon_go_main" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_5dp"
                            android:text="奖励"
                            android:textColor="@color/white"
                            android:textSize="@dimen/d_15sp" />

                    </LinearLayout>


                </RelativeLayout>

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_0.5dp"
                    android:src="@color/main_divide"/>

                <!--Daily Login-->
                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="@dimen/d_15dp"
                    android:paddingTop="@dimen/d_20dp"
                    android:paddingRight="@dimen/d_15dp"
                    android:paddingBottom="@dimen/d_20dp">

                    <ImageView
                        android:id="@+id/iv_daily_login_logo1"
                        android:layout_width="@dimen/d_54dp"
                        android:layout_height="@dimen/d_54dp"
                        android:background="@drawable/reward_yy_circle_logo" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:id="@+id/tv_daily_login"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp"
                        android:layout_toRightOf="@id/iv_daily_login_logo1"
                        android:text="每日登录"
                        android:textColor="@color/home_item_title_color"
                        android:textSize="@dimen/d_15sp" />

                    <com.guadou.lib_baselib.font_text_view.TextViewLight
                        android:id="@+id/tv_daily_point"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@id/tv_daily_login"
                        android:layout_marginLeft="@dimen/d_10dp"
                        android:layout_marginTop="@dimen/d_15dp"
                        android:layout_toRightOf="@id/iv_daily_login_logo1"
                        android:text="+2"
                        android:textColor="@color/profile_red"
                        android:textSize="@dimen/d_14sp" />

                    <ImageView
                        android:layout_width="@dimen/d_12dp"
                        android:layout_height="@dimen/d_12dp"
                        android:layout_below="@id/tv_daily_login"
                        android:layout_marginLeft="@dimen/d_5dp"
                        android:layout_marginTop="@dimen/d_18dp"
                        android:layout_toRightOf="@id/tv_daily_point"
                        android:src="@drawable/daliy_points_gold" />

                    <com.guadou.lib_baselib.font_text_view.TextViewLight
                        android:id="@+id/tv_daily_login_check_in"
                        android:layout_width="88dp"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:background="@color/profile_red"
                        android:gravity="center"
                        android:paddingTop="@dimen/d_5dp"
                        android:paddingBottom="@dimen/d_5dp"
                        android:text="签到"
                        android:textColor="@color/white"
                        android:textSize="@dimen/d_12sp" />

                </RelativeLayout>

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_0.5dp"
                    android:src="@color/main_divide"/>


                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_46dp"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="@dimen/d_15dp"
                        android:text="积分历史"
                        android:textColor="@color/black"
                        android:textSize="@dimen/d_15sp" />

                    <com.guadou.lib_baselib.font_text_view.TextViewMedium
                        android:id="@+id/tv_daily_login_history"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:layout_centerVertical="true"
                        android:layout_marginRight="@dimen/d_15dp"
                        android:paddingLeft="@dimen/d_5dp"
                        android:paddingRight="@dimen/d_5dp"
                        android:text="更多>"
                        android:textColor="@color/home_item_title_color"
                        android:textSize="@dimen/d_14sp" />

                </RelativeLayout>

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_0.5dp"
                    android:src="@color/main_divide"/>

                <LinearLayout
                    android:id="@+id/ll_history_3item_root"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                </LinearLayout>

            </LinearLayout>

        </ScrollView>

    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

</RelativeLayout>